Commerce Engine is now in early preview. Please report any issues or feedback to support@commercengine.io
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/products/{product_id}/reviews \
--header 'Authorization: Bearer <token>'{
"message": "<string>",
"success": true,
"content": {
"reviews": [
{
"rating": 3,
"review_text": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"status": "approved",
"is_featured": false,
"tags": [
"<string>"
],
"review_date": "2023-11-07T05:31:56Z",
"images": [
{
"blur_url": "<string>",
"thumbnail_url": "<string>",
"standard_url": "<string>"
}
],
"videos": [
{
"cover_image_url": "<string>",
"video_preview_url": "<string>",
"playback": {
"hls": "<string>",
"dash": "<string>"
},
"duration": "<string>",
"size": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
],
"review_tags": [
"<string>"
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"limit": 123,
"next_page": 123,
"previous_page": 123
}
}
}List of reviews for a specified product. The reviews are returned sorted by submission date, with the most recent reviews appearing first. You can filter the reviews by rating, reviewer, or date for more detailed analysis.
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/catalog/products/{product_id}/reviews \
--header 'Authorization: Bearer <token>'{
"message": "<string>",
"success": true,
"content": {
"reviews": [
{
"rating": 3,
"review_text": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"status": "approved",
"is_featured": false,
"tags": [
"<string>"
],
"review_date": "2023-11-07T05:31:56Z",
"images": [
{
"blur_url": "<string>",
"thumbnail_url": "<string>",
"standard_url": "<string>"
}
],
"videos": [
{
"cover_image_url": "<string>",
"video_preview_url": "<string>",
"playback": {
"hls": "<string>",
"dash": "<string>"
},
"duration": "<string>",
"size": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
],
"review_tags": [
"<string>"
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"limit": 123,
"next_page": 123,
"previous_page": 123
}
}
}Access token
id of a particular product
page number of pagination list
x >= 1Number of results per page.
1 <= x <= 100JSON string format: {"field1":"asc", "field2":"desc"} json string in format {'field_name':'asc', 'other_field_name':'desc', ...}
"{\"country\":\"asc\",\"city\":\"asc\",\"population\":\"desc\"}"
search keyword
filter review with review tag
Was this page helpful?